💬

shopify CLI 3.0から2.0にダウングレード

2022/11/17に公開約1,000字

※この記事を読む前の注意

ターミナルのコマンド先頭のgem,sudo apt, npmのことを深く理解できていない上で、この記事を書いています。
言葉の使い方等、間違っていることがあるかと思いますが、ご了承ください。

Shopify CLI ver 3.23.0にアップグレード

ことの経緯は、Shopify CLIを3.23.0にアップグレードしてしまったことから始まりました。
それまで使用していたshopify CLI 2.xとは違い、コマンドも変更されているようでした。

Shopifyコマンドを打っても永遠にエラーになる

ターミナルで

$ shopify theme ~

と打つと、こんなエラーが表示されました。

PCがWindowsだったことも重なり、ネットで調べてもエラー解消できず困り果てました...
(エラーを解消しようと、とにかくいろんなものをインストールしてました笑)

shopify CLI をアンインストール

埒があかないため、shopify CLI 3.xをアンインストールしました。

$ gem uninstall shopify-cli
$ sudo apt uninstall shopify-cli
$ npm uninstall shopify-cli

これでアンインストールしました。

bash profileで設定を確認

bash profileの設定が悪かったことも一因だったので、これも設定しました。

shopify CLI 2.xをインストール

shopify公式のGithubから、最新版のdebをダウンロードしました。

そしてsudo aptで{shopify CLI`のインストールを実行しました。

$ shopify version

にてバージョン確認すると

2.32.0

と表示されました。
無事、慣れ親しんだ2.xに戻りました!

終わり

この記事は、同じように3.xにアップグレードしてエラーが解消できない方に少しでも参考になればと思い記事にしました。
支離滅裂な文章ですが、該当する方は少しでも参考になればと思います。

Discussion

ログインするとコメントできます